Eclipse Platform Release 3.7

## org.eclipse.team.ui.synchronize
Interface ISynchronizeParticipantDescriptor

    public interface ISynchronizeParticipantDescriptor

A participant descriptor contains the content of the `synchronizeParticipants` extension section for for a registered participant type in the declaring plug-in's manifest (`plugin.xml`) file.

Clients are not intended to implement this interface.

Since:
  3.0
See Also:
  `ISynchronizeManager.getParticipantDescriptor(String)`

Method Summary
`String` `getDescription()` Returns a string describing this participant type.
`String` `getId()` Returns the unique id that identifies this participant type.
`ImageDescriptor` `getImageDescriptor()` Returns the image descriptor for this participant type.
`String` `getName()` Returns the name of this participant.
`boolean` `isPersistent()` Returns if this participant can be persisted between sessions.

Method Detail

### getName

    String getName()

  Returns the name of this participant. This can be shown to the user.

  Returns:
    the name of this participant. This can be shown to the user.

### getDescription

    String getDescription()

  Returns a string describing this participant type.

  Returns:
    a string describing this participant type.

### getId

    String getId()

  Returns the unique id that identifies this participant type.

  Returns:
    the unique id that identifies this participant type.

### getImageDescriptor

    ImageDescriptor getImageDescriptor()

  Returns the image descriptor for this participant type.

  Returns:
    the image descriptor for this participant type.

### isPersistent

    boolean isPersistent()

  Returns if this participant can be persisted between sessions.

  Returns:
    `true` if this participant can be persisted between sessions and false otherwise.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.